Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface SessionSynchronization

public interface SessionSynchronization

The SessionSynchronization interface allows a session Bean instance to be notified by its container of transaction boundaries.

An session Bean class is not required to implement this interface. A session Bean class should implement this interface only if it wishes to synchronize its state with the transactions.

Method Summary
`void` | `afterBegin()` The afterBegin method notifies a session Bean instance that a new transaction has started, and that the subsequent business methods on the instance will be invoked in the context of the transaction.
`void` | `afterCompletion(boolean committed)` The afterCompletion method notifies a session Bean instance that a transaction commit protocol has completed, and tells the instance whether the transaction has been committed or rolled back.
`void` | `beforeCompletion()` The beforeCompletion method notifies a session Bean instance that a transaction is about to be committed.

Method Detail

### afterBegin

    public void afterBegin()
                    throws EJBException,
                           RemoteException

  The afterBegin method notifies a session Bean instance that a new transaction has started, and that the subsequent business methods on the instance will be invoked in the context of the transaction.

  The instance can use this method, for example, to read data from a database and cache the data in the instance fields.

  This method executes in the proper transaction context.

  Throws:
    `EJBException` - - Thrown by the method to indicate a failure caused by a system-level error.
    `RemoteException` - - This exception is defined in the method signature to provide backward compatibility for enterprise beans written for the EJB 1.0 specification. Enterprise beans written for the EJB 1.1 and higher specifications should throw the javax.ejb.EJBException instead of this exception. Enterprise beans written for the EJB 2.0 and higher specifications must not throw the java.rmi.RemoteException.

### beforeCompletion

    public void beforeCompletion()
                          throws EJBException,
                                 RemoteException

  The beforeCompletion method notifies a session Bean instance that a transaction is about to be committed. The instance can use this method, for example, to write any cached data to a database.

  This method executes in the proper transaction context.

  Note: The instance may still cause the container to rollback the transaction by invoking the setRollbackOnly() method on the instance context, or by throwing an exception.

  Throws:
    `EJBException` - - Thrown by the method to indicate a failure caused by a system-level error.
    `RemoteException` - - This exception is defined in the method signature to provide backward compatibility for enterprise beans written for the EJB 1.0 specification. Enterprise beans written for the EJB 1.1 and higher specifications should throw the javax.ejb.EJBException instead of this exception. Enterprise beans written for the EJB 2.0 and higher specifications must not throw the java.rmi.RemoteException.

### afterCompletion

    public void afterCompletion(boolean committed)
                         throws EJBException,
                                RemoteException

  The afterCompletion method notifies a session Bean instance that a transaction commit protocol has completed, and tells the instance whether the transaction has been committed or rolled back.

  This method executes with no transaction context.

  This method executes with no transaction context.

  Parameters:
    `committed` - - True if the transaction has been committed, false if is has been rolled back.
  Throws:
    `EJBException` - - Thrown by the method to indicate a failure caused by a system-level error.
    `RemoteException` - - This exception is defined in the method signature to provide backward compatibility for enterprise beans written for the EJB 1.0 specification. Enterprise beans written for the EJB 1.1 and higher specifications should throw the javax.ejb.EJBException instead of this exception. Enterprise beans written for the EJB 2.0 and higher specifications must not throw the java.rmi.RemoteException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.